Supported Platforms

OpenJDK 8

Where available, OpenJDK 8 binaries are supported on the minimum operating system levels shown in the following tables:

Key Value
HotSpot VM Hotspot VM
OpenJ9 VM OpenJ9 VM

Linux x64 ppc64le s390x aarch64
Centos 6.9 Hotspot VM OpenJ9 VM
Centos 7.4 Hotspot VM OpenJ9 VM Hotspot VM OpenJ9 VM Hotspot VM OpenJ9 VM Hotspot VM
Red Hat Enterprise Linux (RHEL) 6.9 Hotspot VM OpenJ9 VM
RHEL 7.4 Hotspot VM OpenJ9 VM Hotspot VM OpenJ9 VM Hotspot VM OpenJ9 VM Hotspot VM
SUSE Linux Enterprise Server (SLES) 12 Hotspot VM OpenJ9 VM Hotspot VM OpenJ9 VM Hotspot VM OpenJ9 VM
Ubuntu 16.04 Hotspot VM OpenJ9 VM Hotspot VM OpenJ9 VM Hotspot VM OpenJ9 VM Hotspot VM
Ubuntu 18.04 Hotspot VM OpenJ9 VM Hotspot VM OpenJ9 VM Hotspot VM OpenJ9 VM Hotspot VM

Note: Any other Linux distributions that have a minimum glibc version 2.12 on x86 or version glibc version 2.17 on other architectures are expected to function without problems.

Windows x32 x64
Windows 7 SP1 Hotspot VM OpenJ9 VM Hotspot VM OpenJ9 VM
Windows 8 Hotspot VM OpenJ9 VM Hotspot VM OpenJ9 VM
Windows 8.1 Hotspot VM OpenJ9 VM Hotspot VM OpenJ9 VM
Windows 10 Hotspot VM OpenJ9 VM Hotspot VM OpenJ9 VM
Windows Server 2012 Hotspot VM OpenJ9 VM Hotspot VM OpenJ9 VM
Windows Server 2012 R2 Hotspot VM OpenJ9 VM Hotspot VM OpenJ9 VM
Windows Server 2016 Hotspot VM OpenJ9 VM Hotspot VM OpenJ9 VM

macOS x64
OSX 10.10+ Hotspot VM OpenJ9 VM

AIX ppc64
AIX 7.1 TL4 Hotspot VM OpenJ9 VM
AIX 7.2 Hotspot VM OpenJ9 VM
Solaris sparcv9
Solaris 10 Hotspot VM
Solaris 11 Hotspot VM

OpenJDK 11

Where available, OpenJDK 11 binaries are supported on the minimum operating system levels shown in the following tables:

Key Value
HotSpot VM Hotspot VM
OpenJ9 VM OpenJ9 VM

Linux x64 ppc64le s390x aarch32 aarch64
Centos 6.9 Hotspot VM OpenJ9 VM
Centos 7.4 Hotspot VM OpenJ9 VM Hotspot VM OpenJ9 VM Hotspot VM OpenJ9 VM Hotspot VM
RHEL 6.9 Hotspot VM OpenJ9 VM
RHEL 7.4 Hotspot VM OpenJ9 VM Hotspot VM OpenJ9 VM Hotspot VM OpenJ9 VM Hotspot VM
SLES 12 Hotspot VM OpenJ9 VM Hotspot VM OpenJ9 VM Hotspot VM OpenJ9 VM
Ubuntu 16.04 Hotspot VM OpenJ9 VM Hotspot VM OpenJ9 VM Hotspot VM OpenJ9 VM Hotspot VM
Ubuntu 18.04 Hotspot VM OpenJ9 VM Hotspot VM OpenJ9 VM Hotspot VM OpenJ9 VM Hotspot VM

Note: Any other Linux distributions that have a minimum glibc version 2.12 on x86 or version glibc version 2.17 on other architectures are expected to function without problems.

Windows x32 x64
Windows 7 SP1 Hotspot VM Hotspot VM OpenJ9 VM
Windows 8 Hotspot VM Hotspot VM OpenJ9 VM
Windows 8.1 Hotspot VM Hotspot VM OpenJ9 VM
Windows 10 Hotspot VM Hotspot VM OpenJ9 VM
Windows Server 2012 Hotspot VM Hotspot VM OpenJ9 VM
Windows Server 2012 R2 Hotspot VM Hotspot VM OpenJ9 VM
Windows Server 2016 Hotspot VM Hotspot VM OpenJ9 VM

macOS x64
OSX 10.10+ Hotspot VM OpenJ9 VM

AIX ppc64
AIX 7.1 TL4 OpenJ9 VM
AIX 7.2 OpenJ9 VM

OpenJDK 13

Where available, OpenJDK 13 binaries are supported on the minimum operating system levels shown in the following tables:

Key Value
HotSpot VM Hotspot VM
OpenJ9 VM OpenJ9 VM

Linux x64 ppc64le s390x aarch32 aarch64
Centos 6.9 Hotspot VM OpenJ9 VM
Centos 7.4 Hotspot VM OpenJ9 VM Hotspot VM OpenJ9 VM Hotspot VM OpenJ9 VM Hotspot VM
RHEL 6.9 Hotspot VM OpenJ9 VM
RHEL 7.4 Hotspot VM OpenJ9 VM Hotspot VM OpenJ9 VM Hotspot VM OpenJ9 VM Hotspot VM
SLES 12 Hotspot VM OpenJ9 VM Hotspot VM OpenJ9 VM Hotspot VM OpenJ9 VM
Ubuntu 16.04 Hotspot VM OpenJ9 VM Hotspot VM OpenJ9 VM Hotspot VM OpenJ9 VM Hotspot VM
Ubuntu 18.04 Hotspot VM OpenJ9 VM Hotspot VM OpenJ9 VM Hotspot VM OpenJ9 VM Hotspot VM

Note: Any other Linux distributions that have a minimum glibc version 2.12 on x86 or version glibc version 2.17 on other architectures are expected to function without problems.

Windows x32 x64
Windows 7 SP1 Hotspot VM Hotspot VM OpenJ9 VM
Windows 8 Hotspot VM Hotspot VM OpenJ9 VM
Windows 8.1 Hotspot VM Hotspot VM OpenJ9 VM
Windows 10 Hotspot VM Hotspot VM OpenJ9 VM
Windows Server 2012 Hotspot VM Hotspot VM OpenJ9 VM
Windows Server 2012 R2 Hotspot VM Hotspot VM OpenJ9 VM
Windows Server 2016 Hotspot VM Hotspot VM OpenJ9 VM

macOS x64
OSX 10.10+ Hotspot VM OpenJ9 VM

AIX ppc64
AIX 7.1 TL4 OpenJ9 VM
AIX 7.2 OpenJ9 VM

Support 

Quality 

Submit an Issue